import typescript from 'rollup-plugin-typescript2'
import json from '@rollup/plugin-json';
import commonjs from '@rollup/plugin-commonjs';
import {nodeResolve} from '@rollup/plugin-node-resolve';

export default [
    {
        input: 'src/index.ts',
        output: {
            file: 'dist/index.mjs',
            format: 'esm'
        },
        plugins: [
            typescript()
        ]
    },
    {
        input: 'src/index.ts',
        output: {
            file: 'dist/index.umd.js',
            name: 'YDLToolKit',
            format: 'umd'
        },
        plugins: [
            typescript(),
            commonjs(),
            json(),
            nodeResolve({
                dedupe: ['mathjs']
            })
        ]
    }
]